<?php
session_start();
include_once '../../conexao/index.php';
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/*Variaveis do Sistema*/
/*********************************************/
$userID = $_SESSION['idUsuario'];
$userNOME = $_SESSION['nomeUsuario'];
$userCATE = $_SESSION['categoriaUsuario'];
/*********************************************/

$procura = $_POST['procura'];
$modo = $_POST['modo'];
$troco = $_POST['troco'];
$value = $_POST['value'];
$disconto = $_POST['disconto'];
$status = 'Aberto';

$sqlBoxx = "SELECT idperiodo FROM periodo WHERE diaperiodo = '$status' AND usuario = '$userID'";
$rsBoxx = mysqli_query($db, $sqlBoxx);
if (mysqli_num_rows($rsBoxx) > 0) {
	$d = mysqli_fetch_assoc($rsBoxx);
	$periodo = $d['idperiodo'];
}

if ($procura == NULL || $value == NULL) {
	echo "Informe algum nome por favor!";
}else{
		$sqlFunc = "INSERT INTO pedido(descpedido, clientepedido, pagamentopedido, modo, trocopedido, disconto, userpedido, periodo, data) VALUES('$data_hora','$procura', '$value', '$modo', '$troco', '$disconto', '$userID', '$periodo', '$data_hora')";
		$rsFunc = mysqli_query($db, $sqlFunc);
		if ($rsFunc > 0) {
			$sqlPD = "SELECT MAX(idpedido) AS IDP FROM pedido WHERE userpedido = '$userID' AND clientepedido = '$procura'";
			$rsPD = mysqli_query($db, $sqlPD);
			while ($dados = mysqli_fetch_assoc($rsPD)) {
				$_SESSION['IDP'] = $dados['IDP'];
				$idPD = $dados['IDP'];
				$sqlAP = "SELECT * FROM filadeespera WHERE usuariofiladeespera = '$userID'";
				$rsAP = mysqli_query($db, $sqlAP);
				while ($dados = mysqli_fetch_array($rsAP)) {
					$produto = $dados['produtofiladeespera'];
					$qtd = $dados['qtdfiladeespera'];
					$preco = $dados['precofiladeespera'];
					$total = $dados['totalfiladeespera'];
					$tt = $total - $disconto;
					$sqlEN = "INSERT INTO entrega(produtoentrega, qtdentrega, precoentrega, totalentrega, clienteentrega, usuarioentrega, pedidoentrega, datavenda) VALUES('$produto', '$qtd', '$preco', '$total', '$procura', '$userID', '$idPD', '$data_hora')";
					$rsEN = mysqli_query($db, $sqlEN);
                    if($rsEN > 0){
                        $sql = "UPDATE produto SET stock = stock - '$qtd' WHERE nomeproduto = '$produto'";
                        $rsA = mysqli_query($db, $sql);
                        if($rsA > 0){
                            $sq = "UPDATE periodo SET fechoperiodo = fechoperiodo +  '$tt', datafechoperiodo = '$data_hora' WHERE diaperiodo = 'Aberto' AND usuario = '$userID'";
					        $rsas = mysqli_query($db, $sq);
                        }
                    } 
				}		
			}
                $sqlDL = "DELETE FROM filadeespera WHERE USUARIOFILADEESPERA = '$userID'";
				$rsDL = mysqli_query($db, $sqlDL);
		}else{
			alert("Ocorreu um erro ao inserir o pedido");
		}
	

}